package com.yun.mshu;

import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;

import com.meishu.sdk.platform.custom.banner.MsCustomBannerAd;
import com.meishu.sdk.platform.custom.banner.MsCustomBannerAdapter;
import com.open.ad.polyunion.view.AdView;

/**
 * @author zw
 * @date :2025/2/8 10:07
 * @projectName
 * @description:
 */
public class CustomBannerAd extends MsCustomBannerAd {

    private MsCustomBannerAdapter adWrapper;
    private AdView ad;

    public CustomBannerAd(MsCustomBannerAdapter adWrapper, AdView ad) {
        super(adWrapper);
        this.adWrapper = adWrapper;
        this.ad = ad;
    }

    @Override
    public void showAd(Activity activity, ViewGroup adContainer) {
        adContainer.removeAllViews();
        adContainer.addView(ad);
        super.showAd(activity, adContainer);
    }

    @Override
    public void showAd(ViewGroup adContainer) {
        adContainer.removeAllViews();
        adContainer.addView(ad);
        super.showAd(adContainer);
    }
}