package com.yun.mshu;

import android.app.Activity;

import androidx.annotation.NonNull;

import com.meishu.sdk.platform.custom.reward.MsCustomRewardAd;
import com.meishu.sdk.platform.custom.reward.MsCustomRewardAdapter;
import com.open.ad.polyunion.view.AdView;

/**
 * @author zw
 * @date :2025/2/8 11:46
 * @projectName
 * @description:
 */
public class CustomRewardAd extends MsCustomRewardAd {
    private AdView adView;

    public CustomRewardAd(MsCustomRewardAdapter adWrapper, @NonNull AdView adView) {
        super(adWrapper);
        this.adView = adView;
    }

    @Override
    public void showAd(Activity activity) {
        if (adView!=null){
            adView.showRewardVideoAd(activity);
        }
    }

    @Override
    public void destroy() {
        adView.onDestroyAd();
    }
}
