package com.yun.mshu;

import android.view.ViewGroup;
import android.widget.RelativeLayout;

import com.meishu.sdk.platform.custom.splash.MsCustomSplashAd;
import com.meishu.sdk.platform.custom.splash.MsCustomSplashAdapter;
import com.open.ad.polyunion.view.AdView;

/**
 * @author zw
 * @date :2025/2/8 10:46
 * @projectName
 * @description:
 */
public class CustomSplashAd extends MsCustomSplashAd {

    private boolean showed;
    AdView adView;
    RelativeLayout mSplashRootContainer;

    public CustomSplashAd(MsCustomSplashAdapter adWrapper, AdView adView, RelativeLayout mSplashRootContainer) {
        super(adWrapper);
        this.adView = adView;
        this.mSplashRootContainer = mSplashRootContainer;
    }

    @Override
    public void showAd(ViewGroup adContainer) {
        if (!showed) {
            adContainer.removeAllViews();
            adContainer.addView(mSplashRootContainer, ViewGroup.LayoutParams.MATCH_PARENT,ViewGroup.LayoutParams.MATCH_PARENT);
            showed = true;
        }
        adView.showSplashAd();
    }
}